package com.zehong.system.domain;
import java.util.List;

/**
 * 调压箱前端返回接口封装类
 */
public class DeviceData {

    private String deviceId;

    private String enterpriseId;

    private String type;

    private String deviceName;

    private String deviceCode;

    private String deviceAddr;

    private String longitude;

    private String latitude;

    private String companyType;

    private List<PressureFlow> pressureFlows;

    private String beyondEnterpriseName;

    private int iconType;

    private String iconUrl;

    //下级设备数据封装类数组
    private List<SubordinateEquipmentList> subordinateEquipmentList;

    //压力表设备数量
    private int numberPressureGauges;

    //压力表在线设备
    private int onlineEquipment;

    //压力表离线设备
    private int offlineEquipment;

    //压力表历史报警
    private int historicalAlarm;

    //压力表已处理报警
    private int alarmProcessed;

    //压力表报警中
    private int inAlarm;

    //流量计设备数量
    private int numberEquipment;

    //流量计在线设备
    private int numberOnlineEquipment;

    //流量计离线设备
    private int numberOfflineEquipment;

    //流量计历史报警
    private int numberHistoricalAlarm;

    //流量计已处理报警
    private int numberAlarmProcessed;

    //流量计报警中
    private int numberInAlarm;

    //探测器设备数量
    private int detectorEquipment;

    //探测器在线设备
    private int detectorOnlineEquipment;

    //探测器离线设备
    private int detectorOfflineEquipment;

    //探测器历史报警
    private int detectorHistoricalAlarm;

    //探测器已处理报警
    private int detectorAlarmProcessed;

    //探测器报警中
    private int detectorInAlarm;

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public List<SubordinateEquipmentList> getSubordinateEquipmentList() {
        return subordinateEquipmentList;
    }

    public void setSubordinateEquipmentList(List<SubordinateEquipmentList> subordinateEquipmentList) {
        this.subordinateEquipmentList = subordinateEquipmentList;
    }

    public int getDetectorEquipment() {
        return detectorEquipment;
    }

    public void setDetectorEquipment(int detectorEquipment) {
        this.detectorEquipment = detectorEquipment;
    }

    public int getDetectorOnlineEquipment() {
        return detectorOnlineEquipment;
    }

    public void setDetectorOnlineEquipment(int detectorOnlineEquipment) {
        this.detectorOnlineEquipment = detectorOnlineEquipment;
    }

    public int getDetectorOfflineEquipment() {
        return detectorOfflineEquipment;
    }

    public void setDetectorOfflineEquipment(int detectorOfflineEquipment) {
        this.detectorOfflineEquipment = detectorOfflineEquipment;
    }

    public int getDetectorHistoricalAlarm() {
        return detectorHistoricalAlarm;
    }

    public void setDetectorHistoricalAlarm(int detectorHistoricalAlarm) {
        this.detectorHistoricalAlarm = detectorHistoricalAlarm;
    }

    public int getDetectorAlarmProcessed() {
        return detectorAlarmProcessed;
    }

    public void setDetectorAlarmProcessed(int detectorAlarmProcessed) {
        this.detectorAlarmProcessed = detectorAlarmProcessed;
    }

    public int getDetectorInAlarm() {
        return detectorInAlarm;
    }

    public void setDetectorInAlarm(int detectorInAlarm) {
        this.detectorInAlarm = detectorInAlarm;
    }

    public int getNumberPressureGauges() {
        return numberPressureGauges;
    }

    public void setNumberPressureGauges(int numberPressureGauges) {
        this.numberPressureGauges = numberPressureGauges;
    }

    public int getNumberOnlineEquipment() {
        return numberOnlineEquipment;
    }

    public void setNumberOnlineEquipment(int numberOnlineEquipment) {
        this.numberOnlineEquipment = numberOnlineEquipment;
    }

    public int getNumberOfflineEquipment() {
        return numberOfflineEquipment;
    }

    public void setNumberOfflineEquipment(int numberOfflineEquipment) {
        this.numberOfflineEquipment = numberOfflineEquipment;
    }

    public int getNumberHistoricalAlarm() {
        return numberHistoricalAlarm;
    }

    public void setNumberHistoricalAlarm(int numberHistoricalAlarm) {
        this.numberHistoricalAlarm = numberHistoricalAlarm;
    }

    public int getNumberAlarmProcessed() {
        return numberAlarmProcessed;
    }

    public void setNumberAlarmProcessed(int numberAlarmProcessed) {
        this.numberAlarmProcessed = numberAlarmProcessed;
    }

    public int getNumberInAlarm() {
        return numberInAlarm;
    }

    public void setNumberInAlarm(int numberInAlarm) {
        this.numberInAlarm = numberInAlarm;
    }

    public int getOnlineEquipment() {
        return onlineEquipment;
    }

    public void setOnlineEquipment(int onlineEquipment) {
        this.onlineEquipment = onlineEquipment;
    }

    public int getOfflineEquipment() {
        return offlineEquipment;
    }

    public void setOfflineEquipment(int offlineEquipment) {
        this.offlineEquipment = offlineEquipment;
    }

    public int getHistoricalAlarm() {
        return historicalAlarm;
    }

    public void setHistoricalAlarm(int historicalAlarm) {
        this.historicalAlarm = historicalAlarm;
    }

    public int getAlarmProcessed() {
        return alarmProcessed;
    }

    public void setAlarmProcessed(int alarmProcessed) {
        this.alarmProcessed = alarmProcessed;
    }

    public int getInAlarm() {
        return inAlarm;
    }

    public void setInAlarm(int inAlarm) {
        this.inAlarm = inAlarm;
    }

    public int getNumberEquipment() {
        return numberEquipment;
    }

    public void setNumberEquipment(int numberEquipment) {
        this.numberEquipment = numberEquipment;
    }

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public String getBeyondEnterpriseName() {
        return beyondEnterpriseName;
    }

    public void setBeyondEnterpriseName(String beyondEnterpriseName) {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceAddr() {
        return deviceAddr;
    }

    public void setDeviceAddr(String deviceAddr) {
        this.deviceAddr = deviceAddr;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public List<PressureFlow> getPressureFlows() {
        return pressureFlows;
    }

    public void setPressureFlows(List<PressureFlow> pressureFlows) {
        this.pressureFlows = pressureFlows;
    }

    @Override
    public String toString() {
        return "DeviceData{" +
                "deviceId='" + deviceId + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", type='" + type + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", deviceCode='" + deviceCode + '\'' +
                ", deviceAddr='" + deviceAddr + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", companyType='" + companyType + '\'' +
                ", pressureFlows=" + pressureFlows +
                ", beyondEnterpriseName='" + beyondEnterpriseName + '\'' +
                ", iconType=" + iconType +
                ", iconUrl='" + iconUrl + '\'' +
                ", subordinateEquipmentList=" + subordinateEquipmentList +
                ", numberPressureGauges=" + numberPressureGauges +
                ", onlineEquipment=" + onlineEquipment +
                ", offlineEquipment=" + offlineEquipment +
                ", historicalAlarm=" + historicalAlarm +
                ", alarmProcessed=" + alarmProcessed +
                ", inAlarm=" + inAlarm +
                ", numberEquipment=" + numberEquipment +
                ", numberOnlineEquipment=" + numberOnlineEquipment +
                ", numberOfflineEquipment=" + numberOfflineEquipment +
                ", numberHistoricalAlarm=" + numberHistoricalAlarm +
                ", numberAlarmProcessed=" + numberAlarmProcessed +
                ", numberInAlarm=" + numberInAlarm +
                ", detectorEquipment=" + detectorEquipment +
                ", detectorOnlineEquipment=" + detectorOnlineEquipment +
                ", detectorOfflineEquipment=" + detectorOfflineEquipment +
                ", detectorHistoricalAlarm=" + detectorHistoricalAlarm +
                ", detectorAlarmProcessed=" + detectorAlarmProcessed +
                ", detectorInAlarm=" + detectorInAlarm +
                '}';
    }
}
